<script setup lang="ts">
  const props = withDefaults(
    defineProps<{
      isBookmarked: boolean;
      loading?: boolean;
    }>(),
    {
      loading: false,
    },
  );

  const emits = defineEmits<{
    (e: 'toggle', status?: boolean): void;
  }>();

  const toggleBookmark = () => {
    emits('toggle', !props.isBookmarked);
  };
</script>
<template>
  <SwButton variant="action" :loading="loading" @click="toggleBookmark">
    <template #icon>
      <span
        :class="['i-sw-solid:bookmark text-sm transition', { 'text-yellow-900': isBookmarked }]"
      />
    </template>
  </SwButton>
</template>
